Get list of all job descriptions
curl --request GET \
--url https://{region}.affinda.com/v2/job_descriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v2/job_descriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v2/job_descriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 10,
"results": [
{
"identifier": "<string>",
"customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834",
"fileName": "Document.pdf",
"ready": true,
"readyDt": "2020-12-10T01:43:32.276724Z",
"failed": false,
"expiryTime": "2023-11-07T05:31:56Z",
"language": "en",
"pdf": "https://affinda-api.s3.amazonaws.com/media/documents/Document.pdf?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"parentDocument": {
"identifier": "<string>"
},
"childDocuments": [
{
"identifier": "<string>"
}
],
"pages": [
{
"id": 2,
"pageIndex": 0,
"image": "https://affinda-api.s3.amazonaws.com/media/pages/Page.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"height": 700,
"width": 500,
"rotation": 90,
"imageTranslated": "https://affinda-api.s3.amazonaws.com/media/pages/PageTranslated.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062"
}
],
"isVerified": false,
"reviewUrl": "https://app.affinda.com/review/XJ5kK123?signature=12345",
"ocrConfidence": 0.97,
"createdDt": "2023-11-07T05:31:56Z",
"documentType": "resume",
"regionBias": {
"country": "<string>",
"countries": [
"<string>"
],
"squareCoordinates": [
123
],
"strict": true
},
"isOcrd": true
}
],
"next": "<string>",
"previous": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Job Description Parser
Get list of all job descriptions
deprecated
Returns all the job descriptions for that user, limited to 300 per page.
GET
/
v2
/
job_descriptions
Get list of all job descriptions
curl --request GET \
--url https://{region}.affinda.com/v2/job_descriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v2/job_descriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v2/job_descriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 10,
"results": [
{
"identifier": "<string>",
"customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834",
"fileName": "Document.pdf",
"ready": true,
"readyDt": "2020-12-10T01:43:32.276724Z",
"failed": false,
"expiryTime": "2023-11-07T05:31:56Z",
"language": "en",
"pdf": "https://affinda-api.s3.amazonaws.com/media/documents/Document.pdf?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"parentDocument": {
"identifier": "<string>"
},
"childDocuments": [
{
"identifier": "<string>"
}
],
"pages": [
{
"id": 2,
"pageIndex": 0,
"image": "https://affinda-api.s3.amazonaws.com/media/pages/Page.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"height": 700,
"width": 500,
"rotation": 90,
"imageTranslated": "https://affinda-api.s3.amazonaws.com/media/pages/PageTranslated.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062"
}
],
"isVerified": false,
"reviewUrl": "https://app.affinda.com/review/XJ5kK123?signature=12345",
"ocrConfidence": 0.97,
"createdDt": "2023-11-07T05:31:56Z",
"documentType": "resume",
"regionBias": {
"country": "<string>",
"countries": [
"<string>"
],
"squareCoordinates": [
123
],
"strict": true
},
"isOcrd": true
}
],
"next": "<string>",
"previous": "<string>"
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer 75z0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Query Parameters
The number of documents to skip before starting to collect the result set.
Required range:
x >= 0Example:
0
The numbers of results to return.
Required range:
1 <= x <= 100Example:
20
Filter for documents with this custom identifier.
Was this page helpful?
⌘I